Skip to main content
Search for External Companies based on free text

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer
default:10

The maximal number of results returned.

Required range: 1 <= x <= 100
Example:

10

offset
integer
default:0

The rank offset for returned matches, return matches starting from rank offset up to rank offset+limit.

Required range: x >= 0
score_min_threshold
number<float>
default:0.5

The minimum score of the results. Due to approximations for fast result-delivery, there might be records with a score slightly lower than the minimum.

Required range: 0 <= x <= 1
Example:

0.7

language
enum<string>
default:auto

The language of the input text. auto will automatically detect the language used.

Available options:
auto,
nl,
fr,
en,
de
Example:

"en"

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

Body

application/json

Request structure for free text search.

text
string
required

Input text.

Example:

"Bakery"

filters
(max_geo_distance · object | custom_property · object | custom_property_is_in_list · object | custom_property_contains_element · object | external_id_is_in_list · object)[]
required
Example:
weights
(geo_distance · object | custom_property · object | skills_match · object)[]
required
Example:
location
Location · object

A geographic location, expressed in latitude and longitude. This can represent a home address, an office location... Each entity is limited to having a single location. To get the latitude and longitude for a given address, you can use the Google Maps Geocoding API or a predefined lookup table (for example by zip code). If location is present in matching or filters, it will act as an override for geo-distance calculations.

Response

OK

results
object[]
required

List of search results.